package org.lingniu.idp.enums;

/**
 * 1=所有数据权限,2=自定义数据权限,3=本部门数据权限,4=本部门及以下数据权限,5=仅本人数据权限
 */
public enum DataScope {
    ALL(1),
    CUSTOM(2),
    DEPT_AND_SUB(3),
    DEPT_SELF(4),
    USER_SELF(5);
    private Integer value;
    DataScope(Integer value){
        this.value = value;
    }

    public int value(){
        return value;
    }

    public void setValue(Integer value) {
        this.value = value;
    }
}
